Summary: A pthreads-based parallel implementation of the bzip2 file compressor
Name: lbzip2
Version: 2.5
Release: 2%{?dist}
License: GPLv3
Group: System Environment/Base
URL: http://lbzip2.org/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://github.com/logological/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
BuildRequires: bzip2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Lbzip2 is a pthreads-based parallel bzip2/bunzip2 filter, passable to
GNU tar with the --use-compress-program option. It isn't restricted
to regular files on input, nor output. Successful splitting for
decompression isn't guaranteed, just very likely (failure is detected).
Splitting in both modes and compression itself occur with an
approximate 900k block size. On an Athlon-64 X2 6000+, lbzip2 was
92% faster than standard bzip2 when compressing, and 45% faster when
decompressing (based on wall clock time). Lbzip2 strives to be
portable by requiring UNIX 98 APIs only, besides an unmodified libbz2.

%prep
%setup -q

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/lb*
%{_mandir}/man1/lb*.1*

%changelog
* Fri Dec 11 2020 Simon Matter <simon.matter@invoca.ch> 2.5-2
- add support for EL8

* Thu Mar 27 2014 Simon Matter <simon.matter@invoca.ch> 2.5-1
- upgrade to release 2.5

* Mon Mar 17 2014 Simon Matter <simon.matter@invoca.ch> 2.4-1
- upgrade to release 2.4

* Mon Sep 23 2013 Simon Matter <simon.matter@invoca.ch> 2.3-1
- upgrade to release 2.3

* Tue Aug 07 2012 Simon Matter <simon.matter@invoca.ch> 2.2-1
- upgrade to release 2.2

* Fri Dec 30 2011 Simon Matter <simon.matter@invoca.ch> 2.1-1
- upgrade to release 2.1

* Sat Nov 05 2011 Simon Matter <simon.matter@invoca.ch> 2.0-1
- upgrade to release 2.0

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.23-2
- mass rebuild

* Wed Mar 03 2010 Simon Matter <simon.matter@invoca.ch> 0.23-1
- upgrade to release 0.23

* Wed Feb 24 2010 Simon Matter <simon.matter@invoca.ch> 0.22-1
- upgrade to release 0.22

* Tue Dec 29 2009 Simon Matter <simon.matter@invoca.ch> 0.20-1
- upgrade to release 0.20

* Mon Apr 06 2009 Simon Matter <simon.matter@invoca.ch> 0.15-1
- upgrade to release 0.15

* Mon Mar 16 2009 Simon Matter <simon.matter@invoca.ch> 0.14-1
- upgrade to release 0.14

* Thu Jan 29 2009 Simon Matter <simon.matter@invoca.ch> 0.13-1
- upgrade to release 0.13

* Mon Jan 26 2009 Simon Matter <simon.matter@invoca.ch> 0.12-1
- upgrade to release 0.12

* Wed Jan 21 2009 Simon Matter <simon.matter@invoca.ch> 0.11-1
- upgrade to release 0.11

* Mon Jan 19 2009 Simon Matter <simon.matter@invoca.ch> 0.10-1
- initial package
